# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "reflexo-typst2hast"
version = "0.7.0-rc2"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "The hast intermediate representation for rehype."
homepage = "https://myriad-dreamin.github.io/typst.ts/"
readme = false
license = "Apache-2.0"
repository = "https://github.com/Myriad-Dreamin/typst.ts"

[features]
debug-gc = []
default = ["full"]
experimental-ligature = []
full = [
    "glyph2vec",
    "napi",
]
glyph2vec = []
item-dashmap = ["reflexo/item-dashmap"]
napi = [
    "dep:napi",
    "napi-derive",
]
no-content-hint = []

[lib]
name = "reflexo_typst2hast"
path = "src/lib.rs"

[dependencies.base64]
version = "0.22"

[dependencies.bitvec]
version = "1"

[dependencies.comemo]
version = "0.5.0"

[dependencies.crossbeam-queue]
version = "0.3.10"

[dependencies.dashmap]
version = "5"

[dependencies.ecow]
version = "0.2.2"

[dependencies.flate2]
version = "1"

[dependencies.image]
version = "0.25.5"
features = [
    "png",
    "jpeg",
    "gif",
]
default-features = false

[dependencies.log]
version = "0.4.22"

[dependencies.napi]
version = "2"
features = [
    "serde-json",
    "napi4",
    "serde-json",
    "napi4",
]
optional = true

[dependencies.napi-derive]
version = "2"
optional = true

[dependencies.parking_lot]
version = "0.12.3"

[dependencies.rayon]
version = "1.10.0"

[dependencies.reflexo]
version = "0.7.0-rc2"
features = ["typst"]
default-features = false

[dependencies.rkyv]
version = "0.7.42"
optional = true

[dependencies.rustc-hash]
version = "2"

[dependencies.serde]
version = "1.0.210"

[dependencies.serde_json]
version = "1.0.131"

[dependencies.svgtypes]
version = "0.15.2"

[dependencies.tiny-skia]
version = "0.11.4"

[dependencies.tiny-skia-path]
version = "0.11.4"

[dependencies.ttf-parser]
version = "0.25.0"

[dependencies.typst]
version = "0.14.2"

[dependencies.typst-html]
version = "0.14.2"

[dependencies.typst-svg]
version = "0.14.2"

[dependencies.xmlparser]
version = "0.13.6"

[lints.clippy]
missing_safety_doc = "warn"
undocumented_unsafe_blocks = "warn"
uninlined_format_args = "warn"

[lints.rust.unexpected_cfgs]
level = "allow"
priority = 0
check-cfg = [
    "cfg(wasm_bindgen_unstable_test_coverage)",
    "cfg(noop)",
    "cfg(used_linker)",
]
